
# NavCheck

This mod allows you to visualize pathfinding components on any map.\
It will show navigation nodes and their connections.

You can also control an agent that will try to pathfind to a desired location.\
The blue line indicates the predicted path, the orange line indicates the path taken.

It is useful when you are looking for a pathfinding issue while making a custom map.

### If you have trouble with the mod, or if you just want to chat, you can join the [TABS Mod Center](https://discord.gg/zrs44qyp7S).

# How To Use | Keybinds

### N [Play Mode] : 
  * Toggles visibility

### Right Click [Play Mode + Free Look] :
* If no agent
  * Creates agent
* If agent exists
  * Navigate agent to point

### Left Click [Play Mode + Free Look] :
* If looking at agent
  * Destroys agent
* If looking at ground
  * Teleports agent to point

# Changelog

**- (2.2.0)**
* Added more sound effects.
* Added an orange line indicating the path the agent took.

**- (2.1.1)**
* Requesting an invalid path now stops the agent.

**- (2.1.0)**
* Added a new blue line indicating the predicted path the agent will take.
* Added a teleport sound.

**- (2.0.0)**
* Added a new agent to help you find holes in the navmesh. Check keybindings in section above.

**- (1.0.1)**
* Changed the keybind from **P** to **N**.

**- (1.0.0)**
* **NavCheck** Release.
  
# Credits

### Fern
* Creator
* Coder

# Gallery

![](https://cdn.discordapp.com/attachments/999062030902382753/1038161537958944788/image.png)

### Example of a missing connection resulting in broken pathfinding :

![](https://cdn.discordapp.com/attachments/999062030902382753/1038161508846280734/image.png)